Bug 235423 - www/py-wsgidav: Update to 2.4.1
Summary: www/py-wsgidav: Update to 2.4.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Richard Gallamore
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-02 14:26 UTC by Keith Gaughan
Modified: 2019-03-09 08:41 UTC (History)
0 users

See Also:
ultima: maintainer-feedback+


Attachments
Patch to apply. (1.91 KB, text/plain)
2019-02-02 14:26 UTC, Keith Gaughan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Keith Gaughan 2019-02-02 14:26:44 UTC
Created attachment 201635 [details]
Patch to apply.

This updates www/py-wsgidav to 2.4.1. 

This patch also removes a large number of development-only dependencies. While it's strictly an optional dependency, it also pulls in py-cheroot, as this is the default WSGI container WsgiDAV uses.

Changelog: https://github.com/mar10/wsgidav/blob/v2.4.1/CHANGELOG.md
Comment 1 Richard Gallamore freebsd_committer 2019-02-12 23:50:37 UTC
Hey Keith,

Thanks for the patch this looks good. Before moving forward can you please provide where where WegiDAV uses py-cheroot in there default WsgiDAV container?

Based on setup.py, it looks like it is only required on Windows based systems so I don't think it is a required dependency at all and would perfer to leave out if this is the case.
Comment 2 Keith Gaughan 2019-02-20 19:09:55 UTC
py-cheroot is an optional dependency. It's the default WSGI server WsgiDAV will attempt to use when you start it: https://github.com/mar10/wsgidav/blob/v2.4.1/wsgidav/server/server_cli.py#L136

I included it so that any users would have a complete experience out of the box. Formerly cherrypy was used for this, but cheroot was separated out from it. Removing it means potentially breaking installs for anybody who expects WsgiDAV to continue running without needing to install an additional WSGI server.
Comment 3 Keith Gaughan 2019-03-06 14:46:27 UTC
Hey, any updates?

Another possibility would be to add an option to decide whether Cheroot should be installed. I'd leave it on by default, just so as not to break any existing installs.
Comment 4 Richard Gallamore freebsd_committer 2019-03-06 21:45:51 UTC
(In reply to Keith Gaughan from comment #3)
Have had lack of time to take a look. I'll try and get to it soon.
Comment 5 Richard Gallamore freebsd_committer 2019-03-07 08:09:03 UTC
While wsgidav does have cheroot as the default option for startup, this is not considered a dependency and this is made clear in the projects help.

That being said I think the best route would be to add an options along with the additional 6 (some omitted if port doesn't currently exist) with cheroot being the only one installed by default.
Comment 6 commit-hook freebsd_committer 2019-03-09 08:40:35 UTC
A commit references this bug:

Author: ultima
Date: Sat Mar  9 08:40:04 UTC 2019
New revision: 495108
URL: https://svnweb.freebsd.org/changeset/ports/495108

Log:
  * Updated to 2.4.1
  * Fixed dependencies to match setup.py
  * Added options for supported --server(s)
  * Added test target with depends to test 3.7, which succeeded.
  * Sorted Makefile for portlint

  Only cheroot is default on for the new options which
  is the default in wsgidav.

  PR:		235423
  Reported by:	Keith Gaughan <k@ster^.me>

Changes:
  head/www/py-wsgidav/Makefile
  head/www/py-wsgidav/distinfo